org.eclipse.wst.jsdt.debug.core.jsdi

## Interface ScriptReference

All Superinterfaces:
  Mirror

    public interface ScriptReference
    extends Mirror

Describes a JavaScript script object.
A script object has `Location` information for all of the lines and `FunctionReference`s contained within it.

Since:
  1.0
See Also:
  `FunctionReference`, `Location`, `Mirror`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List` `allFunctionLocations()` Returns the complete live list of function locations in this script.
`java.util.List` `allLineLocations()` Returns the complete live list of line locations in this script.
`Location` `functionLocation(java.lang.String functionName)` Returns the `Location` information for a function with the given name in this script.
`Location` `lineLocation(int lineNumber)` Returns the `Location` information for the given line number in this script.
`java.lang.String` `source()` Returns the entire known source for this script at the time this method is called.
`java.net.URI` `sourceURI()` Returns the `URI` to the source of this script.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### allLineLocations

    java.util.List allLineLocations()

Returns the complete live list of line locations in this script.
This method cannot return `null`.

Returns:
  the line locations in this script or an empty list, never `null`
See Also:
  `Location`, `lineLocation(int)`

#### lineLocation

    Location lineLocation(int lineNumber)

Returns the `Location` information for the given line number in this script.
This method can return `null`.

Parameters:
  `lineNumber` -
Returns:
  the `Location` information for the given line number or `null`.
See Also:
  `Location`, `allLineLocations()`

#### allFunctionLocations

    java.util.List allFunctionLocations()

Returns the complete live list of function locations in this script.
This method can return `null`.

Returns:
  the function locations in this script
See Also:
  `Location`, `functionLocation(String)`

#### functionLocation

    Location functionLocation(java.lang.String functionName)

Returns the `Location` information for a function with the given name in this script.
This method can return `null`.

Parameters:
  `functionName` -
Returns:
  the `Location` information for a function with the given name
See Also:
  `Location`, `allFunctionLocations()`

#### source

    java.lang.String source()

Returns the entire known source for this script at the time this method is called.
This method can return `null`.

Returns:
  the source for this script

#### sourceURI

    java.net.URI sourceURI()

Returns the `URI` to the source of this script.
This method will not return `null`.

Returns:
  the `URI` to the source of this script